A valid request URL is required to generate request examples{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Delete a program member
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Deletes the member from the program (soft delete - status becomes DELETED) and
deletes the member’s cards. Records a vl.member.deleted activity. Returns the
deleted member (without cards). Returns 404 when the program or member does not
exist.
A valid request URL is required to generate request examples{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Loyalty program ID (format lprg_[a-f0-9]+).
^lprg_[a-f0-9]+$Program member ID (format lmbr_[a-f0-9]+).
^lmbr_[a-f0-9]+$Response
The deleted member.
A loyalty program member.
Unique member ID.
^lmbr_[a-f0-9]+$ID of the customer enrolled as this member.
^cust_[a-zA-Z0-9]+ID of the loyalty program the member belongs to.
^lprg_[a-f0-9]+$Current member status.
ACTIVE, INACTIVE, DELETED Free-form metadata attached to the member (empty object when none).
Timestamp when the member was created (ISO 8601).
Timestamp when the member was last updated (ISO 8601), or null if never updated.
Object type marker, always member.
"member"Was this page helpful?

